Listar vozes disponíveis
Listar vozes disponíveis. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
GET
/Agent/voiceListar vozes disponíveis. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
Descrição no OpenAPI: This endpoint returns the available voices from a specific provider (ElevenLabs) for use with agents.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
provider | query | VoiceProvider | Não | 0 = RetellAI; 1 = ElevenLabs | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request GET \
--url 'https://api.zild.ai/Agent/voice?provider={provider}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Successfully returned voices | application/json · array<VoiceDto> |
Exemplo de resposta (200):
[
{
"voiceId": "string",
"voiceName": "string",
"provider": "string",
"accent": "string",
"gender": "string",
"age": "string",
"previewAudioUrl": "string",
"category": "string",
"language": "string",
"description": "string"
}
]
Modelos de dados
VoiceDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
voiceId | string | Não | — | aceita null |
voiceName | string | Não | — | aceita null |
provider | string | Não | — | aceita null |
accent | string | Não | — | aceita null |
gender | string | Não | — | aceita null |
age | string | Não | — | aceita null |
previewAudioUrl | string | Não | — | aceita null |
category | string | Não | — | aceita null |
language | string | Não | — | aceita null |
description | string | Não | — | aceita null |
VoiceProvider
0 = RetellAI; 1 = ElevenLabs
integer